Skip to main content
POST
Submit customer contact/billing info before card submit

Authorizations

Authorization
string
header
required

Your Paysight API key. Send the raw key value — do not prefix with Bearer. Copy it from https://app.paysight.io/settings/account.

Headers

ClientId
string
required

Your Paysight tenant ID (parent company ID). Find it at https://app.paysight.io/settings/account or https://app.paysight.io/management/companies.

Path Parameters

productId
integer
required

ID of the Paysight product.

Body

application/json
paysightSession
string

Paysight session identifier.

partnerSession
string

Partner session identifier.

firstName
string

Customer first name.

lastName
string

Customer last name.

email
string

Customer email address.

phone
string

Customer phone number.

address
string

Street address.

city
string

City.

postalCode
string

ZIP or postal code.

props
object

Additional metadata key-value pairs.

Response

Session identifier confirming the info was recorded.

paysightSession
string

The Paysight session ID to use for subsequent calls.

partnerSession
string

The partner session ID echoed back.